Subject: Re: cygwin, Coda and symbolic links
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 4 Aug 2006 11:05:59 +0200

On Aug  3 18:39, Adam Wolbach wrote:
> Coda's current symlink support in cygwin is nonexistent, but we are 
> looking to support symlinks in the same manner cygwin appears to -- as 
> special Windows shortcuts that cygwin can interpret as symlinks. 
> Allowing cygwin to see our conflicts as broken symlinks would be a big 
> win for our repair mechanisms. We looked at the internals of a Windows 
> .lnk shortcut file and (of course) part appears binary; we assume 
> somewhere along the line that the cygwin developers reverse-engineered 
> the contents of these files to hijack them for their own purposes.
> 
> First question, I've hunted for this information around the website, in 
> the past mailing-list archives and the web, and it doesn't appear 
> readily available. Is there anyone on the list who knows more about the 
> internals of Windows shortcuts and could clue the Coda developers in? 

Try this:

http://www.google.com/search?as_q=windows+shortcut+file+format

The first match

http://mediasrv.ns.ac.yu/extra/fileformat/windows/lnk/shortcut.pdf

is what you're looking for and what I used when implementing the
shortcut stuff.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/